## Installation

```
$ gem install ios_analytics_cli
```

## Usage

Navigate to Your project folder & run

```
$ analytics init
```

This will ask you which programming language You're using & where do You want to store anayltics files.
Results will be stored in `analytics.yml` file.


After that, place Your JSON file in the directory that you provided when running `analytics init`. If You're not sure where it is, check `analytics.yml` file for `sourcePath` field.

After You prepared the JSON file, run

```
$ analytics generate
```
Files will be generated in the path that You provided in `analytics init`.
Drag those files to project & that's it! 🎉


## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake test` to run the tests.

To install this gem onto your local machine, run `bundle exec rake install`. This will install the gem in a place where all other gems are installed


To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on [GitHub](https://github.com/infinum/ios-analytics-cli).

## Other notes
- if You're using the ruby that came with Your system, You'll need to run some commands with `sudo`. If You're not sure if You have system version of some other, just wait until it fails & You'll know :)

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
